%define freecraft_cvs 030311
%define fcmp_cvs 030311

Name: freecraft
Summary: Warcraft II clone
Version: 1.18
Release: 3mdk
Source: freecraft-%{freecraft_cvs}-src.tar.bz2
Source1: fcmp-%{fcmp_cvs}.tar.bz2
Source3: freecraft-020521-Rules.make.bz2
Source10: freecraft16.png
Source11: freecraft32.png
Source12: freecraft48.png
URL: http://www.freecraft.org
Group: Games/Strategy
License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: libSDL-devel 
BuildRequires: libvorbis-devel
BuildRequires: libmad-devel >= 0.14.2b
BuildRequires: libbzip2-devel zlib-devel
BuildRequires: XFree86-devel
BuildRequires: libpng-devel

%description
FreeCraft is a free fantasy real-time strategy game engine.

It is a clone of the real-time fantasy strategy game W*rCr*ft II.

%prep
%setup -q -n freecraft-%{freecraft_cvs} -a1
bzcat %SOURCE3 > Rules.make

%build
export MDKCFLAGS="$RPM_OPT_FLAGS -Isrc/movie/vp31/include/"
%make depend
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
make install PREFIX=$RPM_BUILD_ROOT%_prefix
echo "%_libdir/games/freecraft/freecraft -d %_libdir/games/freecraft/data \"\$@\"" > $RPM_BUILD_ROOT%_bindir/freecraft

# This is for the menu...
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/freecraft <<EOF
?package(freecraft):command="%_bindir/freecraft -F" needs="x11" \
section="Amusement/Strategy" title="Freecraft" icon="freecraft.png" \
longtitle="Freecraft"
EOF

#install icons
mkdir -p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir}
install -m 644 %SOURCE10 $RPM_BUILD_ROOT%_miconsdir/freecraft.png
install -m 644 %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/freecraft.png
install -m 644 %SOURCE12 $RPM_BUILD_ROOT%_liconsdir/freecraft.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc doc/*
%_bindir/freecraft
%_libdir/games/freecraft
%_menudir/freecraft
%_miconsdir/freecraft.png
%_iconsdir/freecraft.png
%_liconsdir/freecraft.png

%changelog
* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.18-3mdk
- added libpng-devel to BuildRequires
- rm -rf buildroot in install stage
- install icons and menu items in install stage

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.18-2mdk
- added XFree86-devel to BuildRequires

* Thu Mar 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.18-1mdk
- new release

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.17.2-3mdk
- rebuild

* Mon Aug 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.17.2-2mdk
- fix buildrequirements
- png icons
- rebuild with new vorbis

* Wed Jul 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17.2-1mdk
- new release
- drop patch 0

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17.1-0.1mdk
- freecraft 1.17.1pre1
- fcmp 020623
- alter snapshot date in only one place ...
- s/tar xfj %%SOURCE1/-a1/

* Fri May 24 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.17-5mdk
- update sources to 020521 (BIG many improvements)

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.17-4mdk
- rebuild for new alsa
- add percent-clean section

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.17-3mdk
- rebuild against new libpng

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- rebuild
- url

* Mon May 28 2001 DindinX <odin@mandrakesoft.com> 1.17-1mdk
- corrected version!
- build with SDL
- small spec fixes
- added sounds
- added doc

* Fri May 25 2001 DindinX <odin@mandrakesoft.com> 0.14-1mdk
- first mandrake release
